%define oname IPy

Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{oname}
Version:        0.52
Release:        %mkrel 1
Epoch:          0
URL:            http://software.inl.fr/trac/trac.cgi/wiki/IPy
Source0:        http://cheeseshop.python.org/packages/source/I/IPy/IPy-%{version}.tar.gz
License:        BSD
Group:          Development/Python
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks 
in a fashion similar to perl's Net::IP and friends. The IP class allows 
a comfortable parsing and handling for most notations in use for IPv4 
and IPv6 Addresses and Networks.

%prep
%setup -q -n %{oname}-%{version}

%build
CFLAGS="%{optflags}" %{_bindir}/python setup.py build

%install
%{__rm} -rf %{buildroot}
%{_bindir}/python setup.py install --root=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog PKG-INFO README example
%{python_sitelib}/%{oname}*


%changelog
* Sat Jan 20 2007 David Walluck <walluck@mandriva.org> 0.52-1mdv2007.0
+ Revision: 110982
- 0.52

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0:0.51-2mdv2007.1
+ Revision: 96523
- Rebuild against new python

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.51-1mdv2007.1
+ Revision: 75609
- 0.51

* Sun Oct 15 2006 David Walluck <walluck@mandriva.org> 0:0.42-3mdv2007.1
+ Revision: 65303
- sync with 2mdv
- Import python-IPy



* Sat Sep 16 2006 David Walluck <walluck@mandriva.com> 0:0.42-1mdv2007.0
- release
